Subject: RE: Scope Issue

From: Girish Kamath <[email-masked]>
Date: Sat, 15 May 2004 17:48:45 +0100 (BST)

Hello Shuki,
   ND messages are always sent with a hop-limit of 255. So a router is not supposed to forward a ND packet recieved.Thus ND messages are restricted over a single link.So i can't see a scenario when a ND message will be forwarded by a gateway.
  You said that NS message always uses a link-local address as a source address. Is it true even when a node is configured with global unicast addresses. Taking our example if we have node A which is configured with both link-local and global unicast address can node A form a NS message with  link-local as source address and destination as global unicast address to refresh its neighbor cache.

"sasson, shuki" <[email-masked]> wrote:

Hi Girish,  you probably refer to Neighbor Solicitation message which is always using link locals as a source address. That would be possible. However pay attention to the following fact.

When you send a message using a link local address as a source address this message cannot pass a gateway. For that you will need a global unicast address.

Shuki

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Girish Kamath
Sent: Thursday, May 06, 2004 11:59 AM
To: [email-masked]
Subject: Scope Issue

Hello,
      For Neighbor Discovery messages, is it mandatory that the scope of the source and destination address should match?
If i have just a link-local unicast address on a node A connected to another node B which has global unicast addresses configured, can i form a ND message with source address as link-local unicast address and destination address as global unicast address when sending a ND packet from A to B.

-- Girish

Yahoo! India Matrimony: Find your partner online.

Yahoo! India Matrimony: Find your partner online.

---

From: Girish Kamath <[email-masked]>
Date: Mon, 17 May 2004 05:24:33 +0100 (BST)

Hello Shuki,
   ND messages are always sent with a hop-limit of 255. So a router is not supposed to forward a ND packet recieved.Thus ND messages are restricted over a single link.So i can't see a scenario when a ND message will be forwarded by a gateway.
  You said that NS message always uses a link-local address as a source address. Is it true even when a node is configured with global unicast addresses. Taking our example if we have node A which is configured with both link-local and global unicast address can node A form a NS message with  link-local as source address and destination as global unicast address(B's address) to refresh its neighbor cache?

Thanks
 
-----Girish

Shuki

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Girish Kamath
Sent: Thursday, May 06, 2004 11:59 AM
To: [email-masked]
Subject: Scope Issue

Hello,

-- Girish

---

From: Sebastien Roy <[email-masked]>
Date: Mon, 17 May 2004 01:32:15 -0400

Girish Kamath wrote:
> NS message *always* uses a link-local address as a source address.

That is false.  The source address of NS packets SHOULD be the same as 
the source address of the packet that promps the NS packet to be sent. 
See section 7.2.2 of RFC2461.

> Is it true even when a node is configured with global 
> unicast addresses. Taking our example if we have node A which is 
> configured with both link-local and global unicast address can node A 
> form a NS message with  link-local as source address and destination as 
> global unicast address(B's address) to refresh its neighbor cache?

Sure, it can (there's no MUST in the spec), but why would it?

-Seb

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------